// Code generated by MockGen. DO NOT EDIT.
// Source: shabby-internet-provider/search (interfaces: Fetcher)

// Package mock_client is a generated GoMock package.
package mock_client

import (
	reflect "reflect"
	search "shabby-internet-provider/search"

	gomock "github.com/golang/mock/gomock"
)

// MockFetcher is a mock of Fetcher interface.
type MockFetcher struct {
	ctrl     *gomock.Controller
	recorder *MockFetcherMockRecorder
}

// MockFetcherMockRecorder is the mock recorder for MockFetcher.
type MockFetcherMockRecorder struct {
	mock *MockFetcher
}

// NewMockFetcher creates a new mock instance.
func NewMockFetcher(ctrl *gomock.Controller) *MockFetcher {
	mock := &MockFetcher{ctrl: ctrl}
	mock.recorder = &MockFetcherMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockFetcher) EXPECT() *MockFetcherMockRecorder {
	return m.recorder
}

// FetchBill mocks base method.
func (m *MockFetcher) FetchBill(arg0 int) (search.BillEntry, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "FetchBill", arg0)
	ret0, _ := ret[0].(search.BillEntry)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// FetchBill indicates an expected call of FetchBill.
func (mr *MockFetcherMockRecorder) FetchBill(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "FetchBill", reflect.TypeOf((*MockFetcher)(nil).FetchBill), arg0)
}
